## NAME

CURLMOPT_MAX_PIPELINE_LENGTH - maximum number of requests in a pipeline

## SYNOPSIS

#include <curl/curl.h>

CURLMcode curl_multi_setopt(CURLM *handle, CURLMOPT_MAX_PIPELINE_LENGTH, long max);

## DESCRIPTION

Pass a long. The set max number will be used as the maximum amount of outstanding requests in a pipelined connection. Only used if pipelining is enabled.

When this limit is reached, libcurl will use another connection to the same host (see CURLMOPT_MAX_HOST_CONNECTIONS), or queue the request until one of the pipelines to the host is ready to accept a request. Thus, the total number of requests in-flight is CURLMOPT_MAX_HOST_CONNECTIONS * CURLMOPT_MAX_PIPELINE_LENGTH.

## DEFAULT

5

## PROTOCOLS

HTTP(S)

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.30.0

## RETURN VALUE

Returns CURLM_OK if the option is supported, and CURLM_UNKNOWN_OPTION if not.

## SEE ALSO

CURLMOPT_PIPELINING, CURLMOPT_MAX_HOST_CONNECTIONS

This HTML page was made with roffit.